%global pypi_name oslo.rootwrap

Name:           python-oslo-rootwrap
Version:        1.0.0
Release:        2%{?dist}
Summary:        Oslo Rootwrap

License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# patches_base=+1
Patch0001: 0001-Handle-renamed-executables-with-KillFilter.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools


%description
The Oslo Rootwrap allows fine filtering of shell commands to run as `root`
from OpenStack services.

Unlike other Oslo deliverables, it should **not** be used as a Python library,
but called as a separate process through the `oslo-rootwrap` command:

`sudo oslo-rootwrap ROOTWRAP_CONFIG COMMAND_LINE`

%prep
%setup -q -n %{pypi_name}-%{version}

%patch0001 -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

#%check
#%{__python} setup.py test

%files
%doc README.rst LICENSE
%{_bindir}/oslo-rootwrap
%dir %{python_sitelib}/oslo
%{python_sitelib}/oslo/rootwrap
%{python_sitelib}/oslo.rootwrap-%{version}*

%changelog
* Wed Aug 24 2016 Victor Stinner <vstinner@redhat.com> 1.0.0-2
- Handle renamed executables with KillFilter (rhbz#1366697)

* Mon Jan 20 2014 Matthias Runge <mrunge@redhat.com> - 1.0.0-1
- Initial package.
